Удаленнное переполнение буфера в XChat Socks-5 Proxy

Дата публикации:
20.04.2004
Дата изменения:
17.10.2006
Всего просмотров:
3120
Опасность:
Критическая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: XChat Socks-5 Proxy 1.8.0 - 2.0.8

Описание: Переполнение стекового буфера обнаружено в XChat в Socks-5 прокси коде. Удаленный пользователь может выполнить произвольный код на целевой системе.

Если включена опция socks5 traversal (не по умолчанию!), то удаленный пользователь, контролирующий прокси сервер, может эксплуатировать переполнение буфера, подключенного к злонамеренному прокси серверу. Уязвимость позволяет выполнить произвольный код на целевой системе пользователя с привилегиями пользователя, под которым запущен xchat процесс.

URL производителя: http://xchat.org/

Решение:Установите соответствующее обновление: http://xchat.org/files/source/2.0/patches/xc208-fixsocks5.diff

Ссылки: xchat 2.0.x Socks5 Vulnerability

или введите имя

CAPTCHA